astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v0.3 »
- Models And Fitting (`astropy.modeling`) »
- MexicanHat2D

# MexicanHat2D

class `astropy.modeling.functional_models.``MexicanHat2D`(amplitude, x_0, y_0, sigma, **constraints)

  Bases: `astropy.modeling.core.Parametric2DModel`

  Two dimensional symmetric Mexican Hat model.

  Parameters:

  amplitude : float

  > Amplitude

  x_0 : float

  > x position of the peak

  y_0 : float

  > y position of the peak

  sigma : float

  > Width of the Mexican hat

  See also

  `MexicanHat1D`, `Gaussian2D`

  Notes

  Model formula:

  f(x, y) = A \left(1 - \frac{\left(x - x_{0}\right)^{2} + \left(y - y_{0}\right)^{2}}{\sigma^{2}}\right) e^{\frac{- \left(x - x_{0}\right)^{2} - \left(y - y_{0}\right)^{2}}{2 \sigma^{2}}}

  fixed: a dict
    a dictionary `{parameter_name: boolean}` of parameters to not be varied during fitting. True means the parameter is held fixed. Alternatively the `fixed` property of a parameter may be used.
  tied: dict
    a dictionary `{parameter_name: callable}` of parameters which are linked to some other parameter. The dictionary values are callables providing the linking relationship. Alternatively the `tied` property of a parameter may be used.
  bounds: dict
    a dictionary `{parameter_name: boolean}` of lower and upper bounds of parameters. Keys are parameter names. Values are a list of length 2 giving the desired range for the parameter. Alternatively the `min` and `max` properties of a parameter may be used.
  eqcons: list
    A list of functions of length `n` such that `eqcons[j](x0,*args) == 0.0` in a successfully optimized problem.
  ineqcons : list
    A list of functions of length `n` such that `ieqcons[j](x0,*args) >= 0.0` is a successfully optimized problem.

  Attributes Summary

  `amplitude` |
  `param_names` | list() -> new empty list
  `sigma` |
  `x_0` |
  `y_0` |

  Methods Summary

  `eval`(x, y, amplitude, x_0, y_0, sigma) | Two dimensional Mexican Hat model function

  Attributes Documentation

  `amplitude`
  `param_names` = ['amplitude', 'x_0', 'y_0', 'sigma']
  `sigma`
  `x_0`
  `y_0`

  Methods Documentation

  static `eval`(x, y, amplitude, x_0, y_0, sigma)

    Two dimensional Mexican Hat model function